CHOWN(1)

NIMI
chown - change file owner and group

YLEISKATSAUS
chown [VALITSIN]... [OMISTAJA][:[RYHMÄ]] TIEDOSTO...
chown [VALITSIN]... --reference=RTIED TIEDOSTO...

KUVAUS
This manual page documents the GNU version of chown. chown changes the user and/or group ownership of each given file. If only an owner (a user name or numeric user ID) is given, that user is made the owner of each given file, and the files' group is not changed. If the owner is followed by a colon and a group name (or numeric group ID), with no spaces between them, the group ownership of the files is changed as well. If a colon but no group name follows the user name, that user is made the owner of the files and the group of the files is changed to that user's login group. If the colon and group are given, but the owner is omitted, only the group of the files is changed; in this case, chown performs the same function as chgrp. If only a colon is given, or if the entire operand is empty, neither the owner nor the group is changed.

VALITSIMET

Vaihda kunkin TIEDOSTOn omistajaksi ja/tai ryhmäksi OMISTAJA ja/tai RYHMÄ. Jos valitsin --reference on annettu, vaihda kunkin TIEDOSTOn omistajaksi ja ryhmäksi samat kuin VTIEDostolla.

-c, --changes
    kuten monisanaisuus, mutta ilmoita vain tehdyt muutokset

-f, --silent, --quiet
    vaienna useimmat virheilmoitukset

-v, --verbose
    näytä ilmoitus jokaisesta käsitellystä tiedostosta

--dereference
    vaikuttaa kunkin symbolisen linkin viitearvoon (tämä on oletus), eikä itse symbolista linkkiä

-h, --no-dereference
    vaikuttaa symbolisiin yhteyksiin viitattujen tiedostojen sijaan (käyttökelpoinen vain järjestelmissä, joissa symlinkin omistajuutta voi muuttaa)

--from=NYKYINEN_OMISTAJA:NYKYINEN_RYHMÄ
    change the ownership of each file only if its current owner and/or group match those specified here. Either may be omitted, in which case a match is not required for the omitted attribute

--no-preserve-root
    älä kohtele juurta (”/”) erityisesti (oletus)

--preserve-root
    estä rekursiivinen toiminta juuressa (”/”)

--reference=VTIED
    use RFILE's ownership rather than specifying values RFILE is always dereferenced if a symbolic link.

-R, --recursive
    käsittele tiedostot ja hakemistot rekursiivisesti

The following options modify how a hierarchy is traversed when the -R option is also specified. If more than one is specified, only the final one takes effect. '-P' is the default.

-H  jos komentoriviargumentti on symbolinen linkki hakemistoon, seuraa sitä

-L  seuraa jokaista hakemistoon osoittavaa symbolista linkkiä

-P  do not traverse any symbolic links

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

Jos omistaja puuttuu, sitä ei muuteta. Jos ryhmä puuttuu, se muutetaan kirjautumisryhmäksi siinä tapauksessa, että symbolisen OMISTAJAn perässä on ”:”. OMISTAJA ja RYHMÄ voivat olla joko numeerisia tai symbolisia.

ESIMERKKEJÄ

chown root /u
    Vaihda /u:n omistajaksi ”root”.

chown root:hlokunta /u
    Sama kuin yllä, lisäksi ryhmäksi ”hlokunta”

chown -hR root /u
    Vaihda /u:n ja alitiedostojen omistajaksi ”root”.

TEKIJÄ
Kirjoittaneet David MacKenzie ja Jim Meyering.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2024 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
chown(2)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/chown>
tai saatavilla paikallisesti: info '(coreutils) chown invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Jani Frilander <jani.frilander@mail.wwnet.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.